=== debian/control ===
Source: libcxx-serial
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Alec Leamas <leamas.alec@gmail.com>
Build-Depends: debhelper-compat (= 13),
# catkin,
 cmake,
 doxygen,
 graphviz,
 libboost-dev,
 libgmock-dev,
 pkgconf
Standards-Version: 4.6.1
Section: libs
Homepage: http://wjwwood.io/serial/
Vcs-Browser: https://gitlab.com/leamas/cxx-serial
Vcs-Git: https://gitlab.com/leamas/cxx-serial.git
Rules-Requires-Root: no

Package: libcxx-serial-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libcxx-serial1 (= ${binary:Version}), ${misc:Depends}
Description: Cross-platform, Serial Port library written in C++ (devel)
 A cross-platform library for interfacing with rs-232 serial like ports
 written in C++. It provides a modern C++ interface with a workflow
 designed to look and feel like PySerial, but with the speed and control
 provided by C++.
 .
 The upstream package name is serial. The Debian package is named
 cxx-serial to avoid a name conflict.
 .
 Serial is a class that provides the basic interface common to serial
 libraries (open, close, read, write, etc..) and requires no extra
 dependencies. It also provides tight control over timeouts and control
 over handshaking lines.
 .
 This package contains the development files (headers, unversioned
 so-librarie, pkg-config .pc file) and also some developer documentation.

Package: libcxx-serial1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Cross-platform, Serial Port library written in C++ (runtime)
 A cross-platform library for interfacing with rs-232 serial like ports
 written in C++. It provides a modern C++ interface with a workflow
 designed to look and feel like PySerial, but with the speed and control
 provided by C++.
 .
 The upstream package name is serial. The Debian package is named
 cxx-serial to avoid a name conflict.
 .
 Serial is a class that provides the basic interface common to serial
 libraries (open, close, read, write, etc..) and requires no extra
 dependencies. It also provides tight control over timeouts and control
 over handshaking lines.
 .
 This package contains the runtime library.
